可能的原因1:安装的不是对应python版本的库,下载的库名中cp27代表python2.7,其它同理。

可能的原因2:这个是我遇到的情况(下载的是对应版本的库,然后仍然提示不支持当前平台)

我下载到的numpy库文件名:

numpy-1.10.4+mkl-cp27-cp27m-win32.whl

使用pip安装(在命令行中):

pip installnumpy-1.10.4+mkl-cp27-cp27m-win32.whl

报错:***  is not a supported wheel on this platform,通过在stackoverflow上的一个帖子成功解决问题。

方法:在shell中输入import pip; print(pip.pep425tags.get_supported())可以获取到pip支持的文件名还有版本,我这里如下:

import pip; print(pip.pep425tags.get_supported())

[(‘cp27’, ‘none’, ‘win32’), (‘py2’, ‘none’, ‘win32’), (‘cp27’, ‘none’, ‘any’), (‘cp2’, ‘none’, ‘any’), (‘cp26’, ‘none’, ‘any’), (‘cp25’, ‘none’, ‘any’), (‘cp24’, ‘none’, ‘any’), (‘cp23’, ‘none’, ‘any’), (‘cp22’, ‘none’, ‘any’), (‘cp21’, ‘none’, ‘any’), (‘cp20’, ‘none’, ‘any’), (‘py27’, ‘none’, ‘any’), (‘py2’, ‘none’, ‘any’), (‘py26’, ‘none’, ‘any’), (‘py25’, ‘none’, ‘any’), (‘py24’, ‘none’, ‘any’), (‘py23’, ‘none’, ‘any’), (‘py22’, ‘none’, ‘any’), (‘py21’, ‘none’, ‘any’), (‘py20’, ‘none’, ‘any’)]

通过这里可以发现上面下载的文件名格式是不支持的,修改为:numpy-1.10.4+mkl-cp27-none-win32.whl即可成功安装。

其它的库也同理可以成功安装,不过也请注意库的依赖。

(参考帖子网址:http://stackoverflow.com/questions/28107123/cannot-install-numpy-from-wheel-format?rq=1)

(python库下载地址(库很丰富,下载速度也很快):http://www.lfd.uci.edu/~gohlke/pythonlibs/#numpy)

文章来源于互联网,如有雷同请联系站长删除:pip安装报错:is not a supported wheel on this platform

发表评论